/*
 * LALPulsarVCSInfo.h.in - LALPulsar VCS Information Header
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with with program; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Copyright (C) 2009-2010 Adam Mercer
 */

#ifndef _LALPULSARVCSINFO_H
#define _LALPULSARVCSINFO_H

#include <lal/LALVCSInfo.h>
#include <lal/LALPulsarLibVCSInfo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* vcs information defines */
#define LALPULSAR_VCS_NAME "LALPulsar"
#define LALPULSAR_VCS_ID "7dc111b9a4276631166e431d668a55f3fe66329f"
#define LALPULSAR_VCS_DATE "2012-11-06 17:53:43 +0000"
#define LALPULSAR_VCS_BRANCH "None"
#define LALPULSAR_VCS_TAG "lalpulsar-v1.5.0"
#define LALPULSAR_VCS_AUTHOR "Adam Mercer <adam.mercer@ligo.org>"
#define LALPULSAR_VCS_COMMITTER "Adam Mercer <adam.mercer@ligo.org>"
#define LALPULSAR_VCS_STATUS "CLEAN: All modifications committed"

/* vcs information defines - identable*/
#define LALPULSAR_VCS_IDENT_ID "$" "LALPulsarId: 7dc111b9a4276631166e431d668a55f3fe66329f " "$"
#define LALPULSAR_VCS_IDENT_DATE "$" "LALPulsarDate: 2012-11-06 17:53:43 +0000 " "$"
#define LALPULSAR_VCS_IDENT_BRANCH "$" "LALPulsarBranch: None " "$"
#define LALPULSAR_VCS_IDENT_TAG "$" "LALPulsarTag: lalpulsar-v1.5.0 " "$"
#define LALPULSAR_VCS_IDENT_AUTHOR "$" "LALPulsarAuthor: Adam Mercer <adam.mercer@ligo.org> " "$"
#define LALPULSAR_VCS_IDENT_COMMITTER "$" "LALPulsarCommitter: Adam Mercer <adam.mercer@ligo.org> " "$"
#define LALPULSAR_VCS_IDENT_STATUS "$" "LALPulsarStatus: CLEAN: All modifications committed " "$"

/* vcs information structures */
static const struct tagLALVCSInfo lalPulsarHeaderVCSInfo = { \
  LALPULSAR_VCS_NAME, \
  LALPULSAR_VERSION, \
  LALPULSAR_VCS_ID, \
  LALPULSAR_VCS_DATE, \
  LALPULSAR_VCS_BRANCH, \
  LALPULSAR_VCS_TAG, \
  LALPULSAR_VCS_AUTHOR, \
  LALPULSAR_VCS_COMMITTER, \
  LALPULSAR_VCS_STATUS \
};

#ifdef __cplusplus
}
#endif

#endif /* _LALPULSARVCSINFO_H */

/*
 * vim: tw=0 ts=2 et
 */
